Polygons disappear after saving
Status: Closed

Priority: Severe/Regression

Assignee:

Category:

Affected QGIS version:2.10.1 Regression?: No

Operating System: Mac OSX Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:No Copied to github as #: 21693

Description

I have update some weeks ago to 2.10 Pisa and when I started using it heavily in the last week, I encounter regular this issue: after saving

the shape file, especially when qGIS has been running for some while or when many adaptations to the shape file have been made

(memory related?) certain polygons (in the vicinity of the canvas I was working on) disappear from the screen. The label is shown on top

of the location of an adjacent polygon. 

The original polygon is still in the table list, however when you select them, the adjacent polygon that also shows the label is lighted up.

Only solution is to delete the affected polygon from the table, restarting qGIS, and start redrawing. This happened now 20-30 times.

Please let me know what I can do.

History

#1 - 2015-11-06 03:23 AM - Daniele Apicella

I met a similar problem but I couldn't replicate it:

I created a point in a shapefile and set its attributes. As I saved the edits, the point disappeared.

I was working on a shapefile with EPSG:4327 while the map was set with EPSG:3857 (on the fly reprojection activated).

QGIS 2.10 (32 bit) on Windows 7.

#2 - 2015-11-06 03:28 AM - Giovanni Manghi

- Status changed from Open to Feedback

- Target version changed from Version 2.10 to Future Release - High Priority

Could anyone describe a way on how trigger this issue? Can you please test 2.12 (and possibly master) and see if is still an issue? Thanks

#3 - 2015-11-06 03:33 AM - Rombert Stapel

I haven't encountered the issue so far in 2.12. My CRS was almost identical to Daniele's settings.

#4 - 2015-11-06 04:52 AM - Giovanni Manghi

Rombert Stapel wrote:

I haven't encountered the issue so far in 2.12. My CRS was almost identical to Daniele's settings.
if you find that is fixed in 2.12 then please close this ticket. thanks!

#5 - 2015-11-11 09:33 AM - mr twister

I still (sometimes) have this in 2.12. I think this is connected with #11007 since the disappeared features reappear when opening the modified shape in a

different GIS application.

#6 - 2015-11-24 11:58 PM - mr twister

Update: With swisstopo's REFRAME (easily reproducable: http://www.swisstopo.admin.ch/internet/swisstopo/de/home/apps/calc/reframe.html)

reprojected shapefiles appear to be empty in QGIS 2.12 (Win 7, 32/64bit). When I save the reprojected shapefile in another file with the old ArcMap we

have here, all features reappear. This is most likely the same issue as described above.

#7 - 2015-12-21 12:43 PM - Giovanni Manghi

mr twister wrote:

#11007

this is a known issue that will be taken care for 2.14.

#8 - 2015-12-21 12:44 PM - Giovanni Manghi

- Resolution set to worksforme

- Status changed from Feedback to Closed

Rombert Stapel wrote:

I haven't encountered the issue so far in 2.12. My CRS was almost identical to Daniele's settings.

closing then.
